<?php
header("Cache-Control: no-cache");
header("Pragma: nocache");
header("Content-Type: text/html; charset=ISO-8859-15");

require_once("../config.php");

//On vrifie si il y a dj une session d'identification et si elle correspond ou non au mot de passe
	if (isset ($_SESSION['bon_passe_admin'])){
	//On regarde si la session est bonne
		if ($_SESSION['bon_passe_admin']!==md5(PASSWORD_ADMIN)){
		//La session est fausse, on redirige vers la page index.php
		unset($_SESSION['bon_passe_admin']);
		header("location:index.php");
		die();
		}
	}
	else{
	//Pas de sessions, on redirige vers la page index.php
	header("location:index.php");
	die();
	}

require_once("../fonctions.php");

//On vrifie que tous les champs obligatoires sont bien remplis
	if ((!isset ($_POST['titre_sondage']) || empty ($_POST['titre_sondage']))  || (!isset ($_POST['reponse1']) || empty ($_POST['reponse1'])) || (!isset ($_POST['reponse2']) || empty ($_POST['reponse2']))){
	echo '<span style="font-weight:bold; color:#ff0000">Vous devez remplir tous les champs obligatoires!!</span>';
	}
	else{
	//C'est bon, on enregistre le nouveau sondage
		try{
		$date=date("d/m/Y");
		//Formatage des reponses avec leur nombre de vote (0) par defaut
		$titre_sondage=mb_convert_encoding($_POST['titre_sondage'], "ISO-8859-15", "UTF-8");
		$reponse1=mb_convert_encoding($_POST['reponse1'].'|||0', "ISO-8859-15", "UTF-8");
		$reponse2=mb_convert_encoding($_POST['reponse2'].'|||0', "ISO-8859-15", "UTF-8");
			if ($_POST['reponse3']!= ""){
			$reponse3=mb_convert_encoding($_POST['reponse3'].'|||0', "ISO-8859-15", "UTF-8");
			}
			else{
			$reponse3="";
			}
			if ($_POST['reponse4']!= ""){
			$reponse4=mb_convert_encoding($_POST['reponse4'].'|||0', "ISO-8859-15", "UTF-8");
			}
			else{
			$reponse4="";
			}
			if ($_POST['reponse5']!= ""){
			$reponse5=mb_convert_encoding($_POST['reponse5'].'|||0', "ISO-8859-15", "UTF-8");
			}
			else{
			$reponse5="";
			}
		$ajout_sondage=$bdd->prepare("INSERT INTO pds_sondages (titre_sondage, reponse1,reponse2,reponse3,reponse4,reponse5,date_debut) VALUES (:titre_sondage, :reponse1,:reponse2,:reponse3,:reponse4,:reponse5,:date_debut)");
		$ajout_sondage->bindParam(':titre_sondage', $titre_sondage, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':reponse1', $reponse1, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':reponse2', $reponse2, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':reponse3', $reponse3, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':reponse4', $reponse4, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':reponse5', $reponse5, PDO::PARAM_STR);
		$ajout_sondage->bindParam(':date_debut', $date, PDO::PARAM_STR);
		$ajout_sondage->execute();
		echo 0;
		}
		catch (Exception $e){
		echo '<span style="font-weight:bold; color:#ff0000">Impossible d\'enregistrer le sondage!</span>';
		}
		
	}
?>

