<?php
require_once("../config.php");

//On vrifie si il y a dj une session d'identification et si elle correspond ou non au mot de passe
	if (isset ($_SESSION['bon_passe_admin'])){
	//On regarde si la session est bonne
		if ($_SESSION['bon_passe_admin']!==md5(PASSWORD_ADMIN)){
		//La session est fausse, on redirige vers la page index.php
		unset($_SESSION['bon_passe_admin']);
		header("location:index.php");
		die();
		}
	}
	else{
	//Pas de sessions, on redirige vers la page index.php
	header("location:index.php");
	die();
	}

require_once("../fonctions.php");

//On regarde si le formulaire a t valid
if (isset ($_POST['modifier_bis'])){
//Le formulaire a t valid, on vrifie que tous les champs ne sont pas vides
	if (isset ($_POST['url_site']) && isset ($_POST['url_script']) && isset ($_POST['titre_site']) && isset ($_POST['laisser_mention']) && isset ($_POST['afficher_archives']) && isset ($_POST['afficher_resultats_chiffres']) && isset ($_POST['passe']) && isset ($_POST['host']) && isset ($_POST['user']) && isset ($_POST['password']) && isset ($_POST['dbname'])){
	//Tous les champs sont remplis, on commence par vrifier que les informations de connexion  Mysql sont bonnes
		try{
		$bdd = new PDO('mysql:host='.$_POST['host'].';dbname='.$_POST['dbname'], $_POST['user'] , $_POST['password']);
		$bdd->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		$bdd->setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, true);
		
		//Connexion tablie, on vrifie si le fichier config.php est bien accessible en criture
			if (!$file=fopen('../config.php', 'w+')){
			$erreur_formulaire="Impossible d'ouvrir le fichier config.php!<br /><br />Merci de bien vrifier son emplacement dans le rpertoire gestion_pds";
			}
			else{
			//Le fichier est accessible en criture, on crit toutes les donnes  l'intrieur
			fwrite ($file, "<?php \ndefine(\"URL_SITE\",\"".$_POST['url_site']."\");\n");
			fwrite ($file, "define(\"URL_SCRIPT\",\"".$_POST['url_script']."\");\n");
			fwrite ($file, "define(\"TITRE_SITE\",\"".$_POST['titre_site']."\");\n");
			fwrite ($file, "define(\"LAISSER_MENTION\",\"".$_POST['laisser_mention']."\");\n");
			fwrite ($file, "define(\"AFFICHER_ARCHIVES\",\"".$_POST['afficher_archives']."\");\n");
			fwrite ($file, "define(\"AFFICHER_RESULTATS_CHIFFRES\",\"".$_POST['afficher_resultats_chiffres']."\");\n");
			fwrite ($file, "define(\"EMAIL_WEBMASTER\",\"".$_POST['email']."\");\n");
			fwrite ($file, "define(\"RECEVOIR_NOTIFICATION\",\"".$_POST['recevoir_notification']."\");\n");
			fwrite ($file, "define(\"PASSWORD_ADMIN\",\"".$_POST['passe']."\");\n");
			fwrite ($file, "define(\"VERSION_SCRIPT\",\"1.1\");\n");
			fwrite ($file, "define(\"TITRE_SCRIPT\",\"Pds-sondages\");\n");
			fwrite ($file, "define(\"PASSWORD_ADMIN_DEFAUT\",\"2431f22fc0a628f37c2069936345e641\");\n");
			fwrite ($file, "define(\"HOST\",\"".$_POST['host']."\");\n");
			fwrite ($file, "define(\"USER\",\"".$_POST['user']."\");\n");
			fwrite ($file, "define(\"PASSWORD\",\"".$_POST['password']."\");\n");
			fwrite ($file, "define(\"DBNAME\",\"".$_POST['dbname']."\");\n");
			fwrite ($file, "try{\n");
			fwrite ($file, "\$bdd = new PDO('mysql:host='.HOST.';dbname='.DBNAME, USER , PASSWORD);\n");
			fwrite ($file, "\$bdd->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);\n");
			fwrite ($file, "\$bdd->setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, true);\n");
			fwrite ($file, "}\n");
			fwrite ($file, "catch(Exception \$e){\n");
			fwrite ($file, "echo 'Impossible de se connecter au serveur MYSQL.<br />Merci d\'en informer le webmaster';\n");
			fwrite ($file, "}\n");
			fwrite ($file, "session_start();\n");
			fwrite ($file, "?>\n");
			$message_succes_modif=true;
			
			}
		}
		catch(Exception $e){
		$erreur_formulaire="Impossible de se connecter  la base de donnes<br /><br />Merci de bien vrifier les informations de connexion rentres";
		}

	}
	else{
	$erreur_formulaire="Vous devez remplir tous les champs du formulaire!!";
	}    				
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
    <head>
       <title>Zone d'administration de Pds-sondages</title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
       <link rel="stylesheet" media="screen" type="text/css" href="<?php echo URL_SCRIPT; ?>/gestion_pds/style_pds_sondage.css" />
       <script type="text/javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/javascript.js"></script>
    </head>
   	<body style="background-color:#f1f1f1">
   	<div>
   	<table id="tableau_gerer_sondages">
   		<tr>
   			<td>
   			<img src="<?php echo URL_SCRIPT; ?>/gestion_pds/images/logo.png" title="Logo" alt="Logo" />
   			</td>
   			<td>
   			
   			</td>
   		</tr>
   		<tr>
   			<td id="tableau_gerer_sondages_col_3">
   				<ul>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/gerer_sondage.php" title="Cliquez ici pour grer les sondages">Grer les sondages</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/ajouter_sondage.php" title="Cliquez ici pour ajouter un sondage">Ajouter un sondage</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/gerer_config.php" title="Cliquez ici pour grer la configuration du script">Configuration du script</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/mailing.php" title="Cliquez ici pour vous inscrire  la mailing liste du site">Mailing liste</a></li>
   					<li><a href="http://www.plusdescripts.fr/verifier_version.php?script=pds_sondages&amp;version=<?php echo VERSION_SCRIPT; ?>&amp;id_script=8" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;" title="Accdez au site Plusdescripts!">Vrifier la version</a></li>
   					<li><a href="http://www.plusdescripts.fr" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;" title="Accdez au site Plusdescripts!">Plus d'infos</a></li>
   				</ul>
   			</td>
   			<td id="tableau_gerer_sondages_col_4">
   			<?php
   			//On regarde si la modification s'est bien droule
   				if (isset ($message_succes_modif)){
				//L'installation s'est bien droule
				?>
				<div style="border:1px solid #008000; background-color:#adff2f; font-weight:bold">
				La configuration du script a bien t modifie
				</div>
				<?php
				}
				else{
				?>
   				<form action="gerer_config.php" method="post" id="formulaire_modification">
					<fieldset>
					<legend>Informations concernant le script</legend>
					<?php
					//On regarde si une erreur a eu lieu lors de la validation de l'installation
						if (isset ($erreur_formulaire)){
						echo '<div id="message_erreur">'.$erreur_formulaire.'</div>';
						}
					?>
					URL de votre site <small>(sans /  la fin et commenant par http://)</small><br />
					<input type="text" name="url_site" value="<?php if (isset ($_POST['url_site'])) { echo $_POST['url_site'];  } else { echo URL_SITE; } ?>" id="champ_url_site" /><br />
					URL de votre script <small>(sans /  la fin et commenant par http://)</small><br />
					<input type="text" name="url_script" value="<?php if (isset ($_POST['url_script'])) { echo $_POST['url_script']; } else { echo URL_SCRIPT; } ?>" id="champ_url_script" /><br />
					Titre de votre site:<br />
					<input type="text" name="titre_site" id="champ_titre_site" value="<?php if (isset ($_POST['titre_site'])) { echo stripslashes($_POST['titre_site']);} else { echo stripslashes(TITRE_SITE); }?>" /><br />
					Laisser le lien vers Plusdescripts? <small>(Facultatif. Merci  ceux qui le laisseront)</small><br />
					<select name="laisser_mention" id="champ_laisser_mention">
						<option value="oui" <?php if (LAISSER_MENTION==="oui") {echo 'selected="selected"';} ?>>Oui</option>
						<option value="non" <?php if (LAISSER_MENTION==="non") {echo 'selected="selected"';} ?>>Non</option>
					</select><br />
					Afficher le lien vers vos archives de sondages?<br />
					<select name="afficher_archives" id="champ_afficher_archives">
						<option value="oui" <?php if (AFFICHER_ARCHIVES==="oui") {echo 'selected="selected"';} ?>>Oui</option>
						<option value="non" <?php if (AFFICHER_ARCHIVES==="non") {echo 'selected="selected"';} ?>>Non</option>
					</select><br />
					Afficher les rsultats en chiffre ou en %<br />
					<select name="afficher_resultats_chiffres" id="champ_afficher_resultats_chiffres">
						<option value="oui" <?php if (AFFICHER_RESULTATS_CHIFFRES==="oui") {echo 'selected="selected"';} ?>>En chiffre</option>
						<option value="non" <?php if (AFFICHER_RESULTATS_CHIFFRES==="non") {echo 'selected="selected"';} ?>>En %</option>
					</select>
					<div id="resultat_infos_script" class="message_erreur"></div>
					</fieldset>
					<fieldset>
					<legend>Informations personnelles</legend>
					Votre email:<br />
					<input type="text" name="email" value="<?php if (isset ($_POST['email'])) { echo $_POST['email']; } else { echo EMAIL_WEBMASTER; }  ?>" id="champ_email" /><br />
					Recevoir une notification  votre email  chaque nouveau vote?<br />
					<select name="recevoir_notification" id="champ_recevoir_notification">
						<option value="oui" <?php if (RECEVOIR_NOTIFICATION==="oui") {echo 'selected="selected"';} ?>>Oui</option>
						<option value="non" <?php if (RECEVOIR_NOTIFICATION==="non") {echo 'selected="selected"';} ?>>Non</option>
					</select><br />
					Mot de passe de la zone d'administration<br />
					<input type="password" name="passe" value="<?php if (isset ($_POST['passe'])) { echo $_POST['passe']; } else { echo PASSWORD_ADMIN; } ?>" id="champ_passe" /><br />
					<div id="resultat_infos_persos" class="message_erreur"></div>
					</fieldset>
					<fieldset>
					<legend>Informations de connexion  la base de donnes</legend>
					Hote Mysql:<br />
					<input type="text" name="host" value="<?php if (isset ($_POST['host'])) { echo $_POST['host']; } else { echo HOST; } ; ?>" id="champ_host" /><br />
					Nom d'utilisateur Mysql:<br />
					<input type="text" name="user" value="<?php if (isset ($_POST['user'])) { echo $_POST['user']; } else { echo USER; } ; ?>" id="champ_user" /><br />
					Mot de passe Mysql:<br />
					<input type="password" name="password" value="<?php if (isset ($_POST['password'])) { echo $_POST['password']; } else { echo PASSWORD; } ; ?>" id="cham_password" /><br />
					Nom de la base de donnes:<br />
					<input type="text" name="dbname" value="<?php if (isset ($_POST['dbname'])) { echo $_POST['dbname']; } else { echo DBNAME; } ; ?>" id="champ_dbname" /><br />
					<div id="resultat_infos_connexion" class="message_erreur"></div>
					</fieldset>
					<fieldset>
					<legend>Modifier la configuration</legend>
					<div id="message_succes">Merci de bien vrifier tous les champs avant de valider le formulaire</div><br /><br />
					<input type="hidden" name="modifier_bis" />
					<input type="button" name="modifier" value="Modifier le script" id="bouton_modifier" onclick="action_modifier(this.form);" />
					<div id="resultat" class="message_succes"></div>
					</fieldset>
					</form>
   			<?php
   				}
   			//On regarde ici si le mot de passe a t chang par rapport  celui de base
   				if (md5(PASSWORD_ADMIN)===PASSWORD_ADMIN_DEFAUT){
   				//Le password n'a pas t chang, on affiche une div pour l'indiquer
   				?>
   				<div id="message_erreur">Attention!<br />Il semble que vous n'avez pas chang le mot de passe par defaut du script.<br />Pour des raisons de scurit, il vous est recommand de le changer immdiatement via le fichier config.php</div>
   				<?php
   				}
   			
   			//On regarde si le fichier install.php a t supprim
   			$filename="../../install.php";
   				if (file_exists($filename)) { 
				//Le fichier install.php n'a pas t supprim
   				?>
   				<div id="message_erreur">Attention!<br />Il semble que vous n'avez pas supprim le fichier <strong>install.php</strong>  la racine du script.<br /><br />Pour des raisons de scurit, vous devriez le supprimer tout de suite</div>
   				<?php
				}
   			?>
   			</td>
   		</tr>
   	</table>
   	</div>
   	</body>
</html>
