<?php
require_once("../config.php");

//On vrifie si il y a dj une session d'identification et si elle correspond ou non au mot de passe
	if (isset ($_SESSION['bon_passe_admin'])){
	//On regarde si la session est bonne
		if ($_SESSION['bon_passe_admin']!==md5(PASSWORD_ADMIN)){
		//La session est fausse, on redirige vers la page index.php
		unset($_SESSION['bon_passe_admin']);
		header("location:index.php");
		die();
		}
	}
	else{
	//Pas de sessions, on redirige vers la page index.php
	header("location:index.php");
	die();
	}

require_once("../fonctions.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
    <head>
       <title>Zone d'administration de Pds-sondages</title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
       <link rel="stylesheet" media="screen" type="text/css" href="<?php echo URL_SCRIPT; ?>/gestion_pds/style_pds_sondage.css" />
       <script type="text/javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/javascript.js"></script>
    </head>
   	<body style="background-color:#f1f1f1">
   	<div>
   	<table id="tableau_gerer_sondages">
   		<tr>
   			<td>
   			<img src="<?php echo URL_SCRIPT; ?>/gestion_pds/images/logo.png" title="Logo" alt="Logo" />
   			</td>
   			<td>
   			
   			</td>
   		</tr>
   		<tr>
   			<td id="tableau_gerer_sondages_col_3">
   				<ul>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/gerer_sondage.php" title="Cliquez ici pour grer les sondages">Grer les sondages</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/ajouter_sondage.php" title="Cliquez ici pour ajouter un sondage">Ajouter un sondage</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/gerer_config.php" title="Cliquez ici pour grer la configuration du script">Configuration du script</a></li>
   					<li><a href="<?php echo URL_SCRIPT; ?>/gestion_pds/admin/mailing.php" title="Cliquez ici pour vous inscrire  la mailing liste du site">Mailing liste</a></li>
   					<li><a href="http://www.plusdescripts.fr/verifier_version.php?script=pds_sondages&amp;version=<?php echo VERSION_SCRIPT; ?>&amp;id_script=8" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;" title="Accdez au site Plusdescripts!">Vrifier la version</a></li>
   					<li><a href="http://www.plusdescripts.fr" onclick="window.open(this.href); return false;" onkeypress="window.open(this.href); return false;" title="Accdez au site Plusdescripts!">Plus d'infos</a></li>
   				</ul>
   			</td>
   			<td id="tableau_gerer_sondages_col_4">
   				<div>Si vous souhaitez recevoir la newsletter du site (1 email par mois maximum) et ainsi tre inform des volutions du script, cliquez sur valider ci dessous:<br /><br /></div>
				<form id="newsmail" name="newsmail" method="post" action="http://services.service-webmaster.fr/newsletter/inscription-11113-2264.html">
				<input type="hidden" name="mod" value="isc" />
				<input type="text" name="emailvisiteur" size="30" maxlength="50" value="<?php echo EMAIL_WEBMASTER; ?>" onfocus="javascript:if(this.value == 'Adresse e-mail') this.value='';" onblur="javascript:if(this.value == '') this.value='Adresse e-mail';" /><br /><br />
				<input type="submit" value="Valider" />
				</form>
   			<?php
   			//On regarde ici si le mot de passe a t chang par rapport  celui de base
   				if (md5(PASSWORD_ADMIN)===PASSWORD_ADMIN_DEFAUT){
   				//Le password n'a pas t chang, on affiche une div pour l'indiquer
   				?>
   				<div id="message_erreur">Attention!<br />Il semble que vous n'avez pas chang le mot de passe par defaut du script.<br />Pour des raisons de scurit, il vous est recommand de le changer immdiatement via le fichier config.php</div>
   				<?php
   				}
   			
   			//On regarde si le fichier install.php a t supprim
   			$filename="../../install.php";
   				if (file_exists($filename)) { 
				//Le fichier install.php n'a pas t supprim
   				?>
   				<div id="message_erreur">Attention!<br />Il semble que vous n'avez pas supprim le fichier <strong>install.php</strong>  la racine du script.<br /><br />Pour des raisons de scurit, vous devriez le supprimer tout de suite</div>
   				<?php
				}
				
			//On regarde si le fichier maj.php a t supprim
   			$filename="../../maj.php";
   				if (file_exists($filename)) { 
				//Le fichier install.php n'a pas t supprim
   				?>
   				<div id="message_erreur">Attention!<br />Il semble que vous n'avez pas supprim le fichier <strong>maj.php</strong>  la racine du script.<br /><br />Pour des raisons de scurit, vous devriez le supprimer tout de suite</div>
   				<?php
				}
   			?>
   			</td>
   		</tr>
   	</table>
   	</div>
   	</body>
</html>
