<?php
//Liste des fonctions utilises par le script pds-sondages

//Fonction d'affichage du sondage
function afficher_sondage($id_sondage){
global $bdd;
//On regarde si on affiche un sondage au hasard ou non
	if ($id_sondage <1){
	$fin_requete="WHERE statut=1 ORDER BY RAND() LIMIT 1";
	}
	else{
	$fin_requete="WHERE id_sondage=:id_sondage";
	}
		try{
		$selection_sondage=$bdd->prepare("SELECT id_sondage,titre_sondage, reponse1, reponse2, reponse3, reponse4, reponse5, statut FROM pds_sondages ".$fin_requete."");
		//On regarde si on doit scuriser la requete en cas de choix d'un sondage prcis
		if ($id_sondage > 0){
		$selection_sondage->bindParam(':id_sondage', $id_sondage, PDO::PARAM_INT);
		}
		$selection_sondage->execute();
		$lignes_selection_sondage=$selection_sondage->fetch(PDO::FETCH_OBJ);
		//On regarde si le statut du sondage est activ (1)
			if ($lignes_selection_sondage->statut == 1){
			//Formatage des valeurs
			$reponse1=explode("|||", $lignes_selection_sondage->reponse1);
			$reponse2=explode("|||", $lignes_selection_sondage->reponse2);
			$reponse3=explode("|||", $lignes_selection_sondage->reponse3);
			$reponse4=explode("|||", $lignes_selection_sondage->reponse4);
			$reponse5=explode("|||", $lignes_selection_sondage->reponse5);	
			
			//Total du nombre de personne sondes
			$total_personnes=$reponse1[1]+$reponse2[1]+$reponse3[1]+$reponse4[1]+$reponse5[1];
			
			//On regarde si la personne a dj vot
			$ip=$_SERVER["REMOTE_ADDR"];
				try{
				$deja_vote=$bdd->prepare("SELECT count(id_votant) AS total FROM pds_sondages_votants WHERE ip=:ip AND id_sondage=:id_sondage");
				$deja_vote->bindParam(':ip', $ip, PDO::PARAM_STR);
				$deja_vote->bindParam('id_sondage', $lignes_selection_sondage->id_sondage, PDO::PARAM_INT);
				$deja_vote->execute();
				$lignes_deja_vote=$deja_vote->fetch(PDO::FETCH_OBJ);
					if ($lignes_deja_vote->total != 0){
					//La personne a dj vot, on affiche directement les rsultats
					
					//Formatage des chiffres en % pour les barres							
					$reponse1_formate=round((($reponse1[1]/$total_personnes)*100),1);
					$reponse2_formate=round((($reponse2[1]/$total_personnes)*100),1);
						if ($lignes_selection_sondage->reponse3 != ""){
						$reponse3_formate=round((($reponse3[1]/$total_personnes)*100),1);
						}
						if ($lignes_selection_sondage->reponse4 != ""){
						$reponse4_formate=round((($reponse4[1]/$total_personnes)*100),1);
						}
						if ($lignes_selection_sondage->reponse5 != ""){
						$reponse5_formate=round((($reponse5[1]/$total_personnes)*100),1);
						}
						
					//Affichage des donnes:
					echo '<div id="formulaire_pds_sondages"><table style="width:100%; border:0px"><tr><td colspan="2" style="text-align:center; padding-bottom:5px"><span>'.stripslashes($lignes_selection_sondage->titre_sondage).'</span></td></tr><tr><td style="width:40%">'.stripslashes($reponse1[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/vert.png" title="Image" alt="Image" style="width:'. $reponse1_formate.'px; height:10px"/> '; 
						if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
						//On regarde si il y a plus d'un vote
							if ($reponse1[1]>1){
							echo $reponse1[1].' votes </td></tr>';
							}
							else{
							echo $reponse1[1].' vote </td></tr>';
							}
						}
						else{
						echo $reponse1_formate.'% </td></tr>';
						}
					echo '<tr><td style="width:40%">'.stripslashes($reponse2[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/rouge.png" title="Image" alt="Image" style="width:'.$reponse2_formate.'px; height:10px"/> ';
						if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
							if ($reponse2[1]>1){
							echo $reponse2[1].' votes </td></tr>';
							}
							else{
							echo $reponse2[1].' vote </td></tr>';
							}
						}
						else{
						echo $reponse2_formate.'% </td></tr>';
						}
			
					//On regarde si les trois autres rponses ne sont pas nulles
						if ($lignes_selection_sondage->reponse3 != ""){
						echo '<tr><td style="width:40%">'.stripslashes($reponse3[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/bleu.png" title="Image" alt="Image" style="width:'.$reponse3_formate.'px; height:10px"/> ';
							if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
								if ($reponse3[1]>1){
								echo $reponse3[1].' votes </td></tr>';
								}
								else{
								echo $reponse3[1].' vote </td></tr>';
								}
							}
							else{
							echo $reponse3_formate.'% </td></tr>';
							}
						}
						if ($lignes_selection_sondage->reponse4 != ""){
						echo '<tr><td style="width:40%">'.stripslashes($reponse4[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/noir.png" title="Image" alt="Image" style="width:'.$reponse4_formate.'px; height:10px"/> ';
							if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
								if ($reponse4[1]>1){
								echo $reponse4[1].' votes </td></tr>';
								}
								else{
								echo $reponse4[1].' vote </td></tr>';
								}
							}
							else{
							echo $reponse4_formate.'% </td></tr>';
							}
						}
						if ($lignes_selection_sondage->reponse5 != ""){
						echo '<tr><td style="width:40%">'.stripslashes($reponse5[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/violet.png" title="Image" alt="Image" style="width:'.$reponse5_formate.'px; height:10px"/> ';
							if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
								if ($reponse5[1]>1){
								echo $reponse5[1].' votes </td></tr>';
								}
								else{
								echo $reponse5[1].' vote </td></tr>';
								}
							}
							else{
							echo $reponse5_formate.'% </td></tr>';
							}
						}
					echo '</table>';
					echo '<div id="nombre_personnes_sondees">';
					//On rcupre le nombre de personnes sondes
						if ($total_personnes>1){
						echo $total_personnes.' personnes sondes';
						}
						else{
						echo $total_personnes.' personnes sonde';
						}
					?>
					</div>
					<div id="div_liens_sondage">
					<span>Vous avez dj vot!<br /><br /></span>	
						<?php
						//On regarde si on affiche le lien archive
							if (AFFICHER_ARCHIVES==="oui"){
							?>
							 <a href="javascript:popupcentree('<?php echo URL_SCRIPT;?>/gestion_pds/popup.php',500,500,'menubar=no,scrollbars=yes,statusbar=no')" title="Cliquez ici pour voir les sondages archivs">Voir les archives</a>
							<?php
							}
						?>
						</div>
						<?php
						//On regarde si on affiche les mentions vers plusdescripts.fr
							if (LAISSER_MENTION==="oui"){
							?>
						   	<div>
						   		<a href="http://www.plusdescripts.fr" title="Dcouvrez le site plusdescripts!!" class="lien_pds">Pds-sondage</a>
						   	</div>
						   	<?php
						   	}
					echo '</div>';
					}
					else{
					//La personne n'a pasencore vote, on affiche le formulaire
					?>
					<form action="" method="post" id="formulaire_pds_sondages">
						<fieldset>
						<input type="hidden" name="id_sondage" value="<?php echo $lignes_selection_sondage->id_sondage; ?>" />
						<span><?php echo stripslashes($lignes_selection_sondage->titre_sondage); ?></span>
						<div id="div_reponse_sondage_<?php echo $lignes_selection_sondage->id_sondage; ?>">
							<label for="reponse_1"><input type="radio" name="choix" value="reponse1" id="reponse_1" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse1[0]); ?></label><br />
							<label for="reponse_2"><input type="radio" name="choix" value="reponse2" id="reponse_2" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse2[0]); ?></label><br />
							<?php
							//On regarde pour chacune des trois rponses suivantes si elles ne sont pas nulles
							if ($lignes_selection_sondage->reponse3 != ""){
							?>
							<label for="reponse_3"><input type="radio" name="choix" value="reponse3" id="reponse_3" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse3[0]); ?></label><br />
							<?php
							}
							if ($lignes_selection_sondage->reponse4 != ""){
							?>
							<label for="reponse_4"><input type="radio" name="choix" value="reponse4" id="reponse_4" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse4[0]); ?></label><br />
							<?php
							}
							if ($lignes_selection_sondage->reponse5 != ""){
							?>
							<label for="reponse_5"><input type="radio" name="choix" value="reponse5" id="reponse_5" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse5[0]); ?></label><br />
							<?php
							}
							?>
							<br />
							<input type="button" name="voter" value="Voter" disabled="disabled" onclick="poster_vote(this.form)"/>
							<div id="nombre_personnes_sondees">
							<?php
							//On regarde si il y a plus d'un votants
									if ($total_personnes>1){
									echo $total_personnes.' personnes sondes';
									}
									else{
									echo $total_personnes.' personnes sonde';
									}
							?>
							</div>
							<div id="div_liens_sondage">
							<a href="<?php echo URL_SCRIPT; ?>" onclick="afficher_resultat(<?php echo $lignes_selection_sondage->id_sondage; ?>); return false;" title="Cliquez ici pour voir les rsultats" >Rsultats</a> 
							<?php
							//On regarde si on affiche le lien archive
							if (AFFICHER_ARCHIVES==="oui"){
							?>
							 - <a href="javascript:popupcentree('<?php echo URL_SCRIPT;?>/gestion_pds/popup.php',500,500,'menubar=no,scrollbars=yes,statusbar=no')" title="Cliquez ici pour voir les sondages archivs">Voir les archives</a>
							<?php
							}
							?>
							</div>
							<?php
							//On regarde si on affiche les mentions vers plusdescripts.fr
								if (LAISSER_MENTION==="oui"){
								?>
							   	<div>
							   		<a href="http://www.plusdescripts.fr" title="Dcouvrez le site plusdescripts!!" class="lien_pds">Pds-sondage</a>
							   	</div>
							   	<?php
							   	}
						?>
						</div>
						</fieldset>
					</form>
					<?php
					}
				}
				catch (Exception $e){
				//Erreur dans la requte, on affiche par defaut le message "Vous avez dj vot"
				echo 'Erreur';
				}
			}
			else{
			echo 'Ce sondage a t archiv';
			}
		}
		catch (Exception $e){
		echo 'Impossible d\'afficher un sondage<br />Merci de prvenir le webmaster';
		}
	

}
?>
