<?php
//Enttes des scripts Ajax
header("Cache-Control: no-cache");
header("Pragma: nocache");
header("Content-Type: text/html; charset=ISO-8859-1");

//On inclut le fichier config
require_once("config.php");

//On regarde si un id de sondage est indiqu
	if (!isset ($_POST['id_sondage'])){
	echo 0;
	}
	else{	
		if ($id_sondage <1){
		$fin_requete="WHERE statut=1 ORDER BY RAND() LIMIT 1";
		}
		else{
		$fin_requete="WHERE id_sondage=:id_sondage";
		}
		
		try{
		$selection_sondage=$bdd->prepare("SELECT id_sondage,titre_sondage, reponse1, reponse2, reponse3, reponse4, reponse5, statut FROM pds_sondages ".$fin_requete."");
		//On regarde si on doit scuriser la requete en cas de choix d'un sondage prcis
		if ($id_sondage > 0){
		$selection_sondage->bindParam(':id_sondage', $_POST['id_sondage'], PDO::PARAM_INT);
		}
		$selection_sondage->execute();
		$lignes_selection_sondage=$selection_sondage->fetch(PDO::FETCH_OBJ);
		//On regarde si le statut du sondage est activ (1)
			if ($lignes_selection_sondage->statut == 1){
			//Formatage des valeurs
			$reponse1=explode("|||", $lignes_selection_sondage->reponse1);
			$reponse2=explode("|||", $lignes_selection_sondage->reponse2);
			$reponse3=explode("|||", $lignes_selection_sondage->reponse3);
			$reponse4=explode("|||", $lignes_selection_sondage->reponse4);
			$reponse5=explode("|||", $lignes_selection_sondage->reponse5);	
			
			//Total du nombre de personne sondes
			$total_personnes=$reponse1[1]+$reponse2[1]+$reponse3[1]+$reponse4[1]+$reponse5[1];
			?>
					<label for="reponse_1"><input type="radio" name="choix" value="reponse1" id="reponse_1" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse1[0]); ?></label><br />
					<label for="reponse_2"><input type="radio" name="choix" value="reponse2" id="reponse_2" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse2[0]); ?></label><br />
					<?php
					//On regarde pour chacune des trois rponses suivantes si elles ne sont pas nulles
					if ($lignes_selection_sondage->reponse3 != ""){
					?>
					<label for="reponse_3"><input type="radio" name="choix" value="reponse3" id="reponse_3" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse3[0]); ?></label><br />
					<?php
					}
					if ($lignes_selection_sondage->reponse4 != ""){
					?>
					<label for="reponse_4"><input type="radio" name="choix" value="reponse4" id="reponse_4" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse4[0]); ?></label><br />
					<?php
					}
					if ($lignes_selection_sondage->reponse5 != ""){
					?>
					<label for="reponse_5"><input type="radio" name="choix" value="reponse5" id="reponse_5" onchange="activer_bouton(this.form)"/><?php echo stripslashes($reponse5[0]); ?></label><br />
					<?php
					}
					?>
					<br />
					<?php
					//On regarde si la personne a dj vot
					$ip=$_SERVER["REMOTE_ADDR"];
						try{
						$deja_vote=$bdd->prepare("SELECT count(id_votant) AS total FROM pds_sondages_votants WHERE ip=:ip AND id_sondage=:id_sondage");
						$deja_vote->bindParam(':ip', $ip, PDO::PARAM_STR);
						$deja_vote->bindParam('id_sondage', $lignes_selection_sondage->id_sondage, PDO::PARAM_INT);
						$deja_vote->execute();
						$lignes_deja_vote=$deja_vote->fetch(PDO::FETCH_OBJ);
							if ($lignes_deja_vote->total != 0){
							echo '<span id="class_erreur_pds_sondages">Vous avez dj vot</span>';
							}
							else{
							echo '<input type="button" name="voter" value="Voter" disabled="disabled" onclick="poster_vote(this.form)"/>';
							}
						}
						catch (Exception $e){
						//Erreur dans la requte, on affiche par defaut le message "Vous avez dj vot"
						echo 'Vous avez dj vot';
						}
					?>
					<div id="nombre_personnes_sondees">
					<?php
					//On rcupre le nombre de personnes sondes
						if ($total_personnes>1){
						echo $total_personnes.' personnes sondes';
						}
						else{
						echo $total_personnes.' personnes sonde';
						}
					?>
					</div>
					<div id="div_liens_sondage">
					<a href="#" title="Cliquez ici pour voir les rsultats" onclick="afficher_resultat(<?php echo $lignes_selection_sondage->id_sondage; ?>)">Rsultats</a> 
					<?php
					//On regarde si on affiche le lien archive
					if (AFFICHER_ARCHIVES==="oui"){
					?>
					 - <a href="javascript:popupcentree('<?php echo URL_SCRIPT;?>/gestion_pds/popup.php',500,500,'menubar=no,scrollbars=yes,statusbar=no')" title="Cliquez ici pour voir les sondages archivs">Voir les archives</a>
					<?php
					}
					?>
					</div>
					<?php
					//On regarde si on affiche les mentions vers plusdescripts.fr
						if (LAISSER_MENTION==="oui"){
						?>
					   	<div>
					   		<a href="http://www.plusdescripts.fr" title="Dcouvrez le site plusdescripts!!" class="lien_pds">Pds-sondage</a>
					   	</div>
					   	<?php
					   	}
			}
			else{
			echo 'Ce sondage a t archiv';
			}
		}
		catch (Exception $e){
		echo 'Impossible d\'afficher un sondage<br />Merci de prvenir le webmaster';
		}
	}
?>
