<?php
require_once("config.php");
require_once("fonctions.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
  	<head>
       <title>Bienvenue sur mon site !</title>
       <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
       <link rel="stylesheet" media="screen" type="text/css" href="<?php echo URL_SCRIPT; ?>/gestion_pds/style_pds_sondage.css" />
       <script type="text/javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/javascript.js"></script>
    </head>
    <body>
    <div id="liste_sondages_archives">
    Voici la liste des sondages archivs du site:<br /><br />
    <?php
	try{
	$selection_archives=$bdd->prepare("SELECT titre_sondage, reponse1, reponse2, reponse3, reponse4, reponse5, date_debut, date_fin FROM pds_sondages WHERE statut=0 ORDER BY id_sondage DESC");
	$selection_archives->execute();
	$i=0;
		while ($lignes_selection_archives=$selection_archives->fetch(PDO::FETCH_OBJ)){
		$i++;
		//On rcupre les valeurs avec explode()
		$reponse1=explode("|||", $lignes_selection_archives->reponse1);
		$reponse2=explode("|||", $lignes_selection_archives->reponse2);
		$reponse3=explode("|||", $lignes_selection_archives->reponse3);
		$reponse4=explode("|||", $lignes_selection_archives->reponse4);
		$reponse5=explode("|||", $lignes_selection_archives->reponse5);
		
		//Total du nombre de personnes sondes
		$total_personnes=$reponse1[1]+$reponse2[1]+$reponse3[1]+$reponse4[1]+$reponse5[1];
						
		//Formatage des chiffres en % pour les barres	 L'@ est l pour viter d'afficher une erreur si aucun vote n'a t effectu pour un choix						
		@$reponse1_formate=round((($reponse1[1]/$total_personnes)*100),1);
		@$reponse2_formate=round((($reponse2[1]/$total_personnes)*100),1);
			if ($lignes_selection_archives->reponse3 != ""){
			@$reponse3_formate=round((($reponse3[1]/$total_personnes)*100),1);
			}
			if ($lignes_selection_archives->reponse4 != ""){
			@$reponse4_formate=round((($reponse4[1]/$total_personnes)*100),1);
			}
			if ($lignes_selection_archives->reponse5 != ""){
			@$reponse5_formate=round((($reponse5[1]/$total_personnes)*100),1);
			}
		?>
		<div id="div_affichage_archives">
		<span style="font-weight:bold"><?php echo stripslashes($lignes_selection_archives->titre_sondage); ?></span><br /><br />
		<?php
		//Affichage des donnes:						
		echo '<table style="width:100%; border:0px"><tr><td style="width:40%">'.stripslashes($reponse1[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/vert.png" title="Image" alt="Image" style="width:'. $reponse1_formate.'px; height:10px"/> '; 
			if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
			//On regarde si il y a plus d'un vote
				if ($reponse1[1]>1){
				echo $reponse1[1].' votes </td></tr>';
				}
				else{
				echo $reponse1[1].' vote </td></tr>';
				}
			}
			else{
			echo $reponse1_formate.'% </td></tr>';
			}
		echo '<tr><td style="width:40%">'.stripslashes($reponse2[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/rouge.png" title="Image" alt="Image" style="width:'.$reponse2_formate.'px; height:10px"/> ';
			if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
				if ($reponse2[1]>1){
				echo $reponse2[1].' votes </td></tr>';
				}
				else{
				echo $reponse2[1].' vote </td></tr>';
				}
			}
			else{
			echo $reponse2_formate.'% </td></tr>';
			}
			
		//On regarde si les trois autres rponses ne sont pas nulles
			if ($lignes_selection_archives->reponse3 != ""){
			echo '<tr><td style="width:40%">'.stripslashes($reponse3[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/bleu.png" title="Image" alt="Image" style="width:'.$reponse3_formate.'px; height:10px"/> ';
				if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
					if ($reponse3[1]>1){
					echo $reponse3[1].' votes </td></tr>';
					}
					else{
					echo $reponse3[1].' vote </td></tr>';
					}
				}
				else{
				echo $reponse3_formate.'% </td></tr>';
				}
			}
			if ($lignes_selection_archives->reponse4 != ""){
			echo '<tr><td style="width:40%">'.stripslashes($reponse4[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/noir.png" title="Image" alt="Image" style="width:'.$reponse4_formate.'px; height:10px"/> ';
				if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
					if ($reponse4[1]>1){
					echo $reponse4[1].' votes </td></tr>';
					}
					else{
					echo $reponse4[1].' vote </td></tr>';
					}
				}
				else{
				echo $reponse4_formate.'% </td></tr>';
				}
			}
			if ($lignes_selection_archives->reponse5 != ""){
			echo '<tr><td style="width:40%">'.stripslashes($reponse5[0]).'</td><td style="text-align:left"><img src="'.URL_SCRIPT.'/gestion_pds/images/violet.png" title="Image" alt="Image" style="width:'.$reponse5_formate.'px; height:10px"/> ';
				if (AFFICHER_RESULTATS_CHIFFRES==="oui"){
					if ($reponse5[1]>1){
					echo $reponse5[1].' votes </td></tr>';
					}
					else{
					echo $reponse5[1].' vote </td></tr>';
					}
				}
				else{
				echo $reponse5_formate.'% </td></tr>';
				}
			}
		echo '</table></div><hr style="margin-top:10px; margin-bottom:10px"/>';
		}
		//Si $i est toujours gal  0, aucun sondage n'a t archiv
		if ($i==0){
		echo 'Aucun sondage n\'a t archiv pour le moment';
		}
		
	}
	catch (Exception $e){
	echo 'Impossible d\'afficher les archives!<br /><br />Merci de prvenir le webmaster';
	echo $e;
	}	
    ?>
    </div>   
    </body>
</html>
