<?php
//Enttes des scripts Ajax
header("Cache-Control: no-cache");
header("Pragma: nocache");
header("Content-Type: text/html; charset=ISO-8859-1");

//On inclut le fichier config
require_once("config.php");

//On vrifie que cette personne n'a pas dj vot
	try{
	$ip=$_SERVER["REMOTE_ADDR"];
	$deja_vote=$bdd->prepare("SELECT count(id_votant) AS total FROM pds_sondages_votants WHERE ip=:ip AND id_sondage=:id_sondage");
	$deja_vote->bindParam(':ip', $ip, PDO::PARAM_STR);
	$deja_vote->bindParam(':id_sondage', $_POST['id_sondage'], PDO::PARAM_INT);
	$deja_vote->execute();
	$lignes_deja_vote=$deja_vote->fetch(PDO::FETCH_OBJ); 
		if ($lignes_deja_vote->total != 0){
		//La personne a dj vot
		echo 1;
		}
		else{
		//La personne n'a pas encore vot pour ce sondage
			try{
			//On rcupre la valeur de la rponse pour laquelle la personne a vot
			$valeur=$bdd->prepare("SELECT titre_sondage, ".trim(htmlspecialchars($_POST['reponse']))." AS reponse FROM pds_sondages WHERE id_sondage=:id_sondage");
			$valeur->bindParam(':id_sondage', $_POST['id_sondage'], PDO::PARAM_STR);
			$valeur->execute();
			$lignes_valeur=$valeur->fetch(PDO::FETCH_OBJ);
			$reponse=explode("|||", $lignes_valeur->reponse);
			$nouvelle_valeur=$reponse[1]+1;
			$nouvelle_valeur_conf=$reponse[0].'|||'.$nouvelle_valeur;
			
			//On enregistre la nouvelle rponse
				try{
				$enregistrement=$bdd->prepare("UPDATE pds_sondages SET ".trim(htmlspecialchars($_POST['reponse']))."=:nouvelle_valeur WHERE id_sondage=:id_sondage AND statut=1");
				$enregistrement->bindParam(':nouvelle_valeur', $nouvelle_valeur_conf, PDO::PARAM_STR);
				$enregistrement->bindParam(':id_sondage', $_POST['id_sondage'], PDO::PARAM_INT);
				$enregistrement->execute();
				
				//On ajoute l'ip de la personne dans la table pds_sondage_votants
					try{
					$insertion=$bdd->prepare("INSERT INTO pds_sondages_votants (id_sondage, ip) VALUES (:id_sondage, :ip)");
					$insertion->bindParam(':id_sondage', $_POST['id_sondage'], PDO::PARAM_INT);
					$insertion->bindParam('ip', $ip, PDO::PARAM_STR);
					$insertion->execute();
					}
					catch (Exception $e){
					//La rponse ayant t prise en compte, on n'affiche pas d'erreur si il y en a une
					}
				//On regarde si le webmaster souhaite recevoir une notification de vote
					if (RECEVOIR_NOTIFICATION==="oui"){
					//On envoi un email
					$date=date("d/m/Y");
					$heure=date("H:i");
					$Destinataire = EMAIL_WEBMASTER;
		  			$Sujet = "Nouveau vote sur votre sondage ".$lignes_valeur->titre_sondage."";
					$From  = "From:".EMAIL_WEBMASTER."\n";
		  			$From .= "MIME-version: 1.0\n";
		  			$From .= "Content-type: text/html; charset= iso-8859-1\n";
   		  			$Message="Bonjour<br /><br />Un nouveau vote a t effectu le ".$date."  ".$heure." sur votre sondage ".$lignes_valeur->titre_sondage.".<br /><br />Merci, le webmaster de plusdescripts.fr";
					mail($Destinataire,$Sujet , $Message, $From); 
					}
				}
				catch (Exception $e){
				//Erreur dans la requte
				echo 0;
				}
			}
			catch (Exception $e){
			//Erreur dans la requte
			echo 0;
			}
		}
	}
	catch (Exception $e){
	//Erreur dans la requte
	echo 0;
	}
?>
